Package org.optaplanner.core.api.score.constraint

## Class ConstraintMatch

- java.lang.Object
- - org.optaplanner.core.api.score.constraint.ConstraintMatch

- All Implemented Interfaces:
    `Serializable`, `Comparable<ConstraintMatch>`

      public final class ConstraintMatch
      extends Object
      implements Serializable, Comparable<ConstraintMatch>

  Retrievable from `ConstraintMatchTotal.getConstraintMatchSet()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintMatch​(String constraintPackage, String constraintName, List<Object> justificationList, Score score)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ConstraintMatch other)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getConstraintId()` |
    `String` | `getConstraintName()` |
    `String` | `getConstraintPackage()` |
    `String` | `getIdentificationString()` |
    `List<Object>` | `getJustificationList()` |
    `Score` | `getScore()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintMatch

          public ConstraintMatch​(String constraintPackage,
                                 String constraintName,
                                 List<Object> justificationList,
                                 Score score)

      Parameters:
        `constraintPackage` - never null
        `constraintName` - never null
        `justificationList` - never null, sometimes empty
        `score` - never null

  - ### Method Detail

    - #### getConstraintPackage

          public String getConstraintPackage()

    - #### getConstraintName

          public String getConstraintName()

    - #### getJustificationList

          public List<Object> getJustificationList()

    - #### getScore

          public Score getScore()

    - #### getConstraintId

          public String getConstraintId()

    - #### getIdentificationString

          public String getIdentificationString()

    - #### compareTo

          public int compareTo​(ConstraintMatch other)

      Specified by:
        `compareTo` in interface `Comparable<ConstraintMatch>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`